diff --git a/server/src/main/java/cz/zcu/yamanager/repository/RequestRepository.java b/server/src/main/java/cz/zcu/yamanager/repository/RequestRepository.java
index c7f0b77..576f7c0 100644
--- a/server/src/main/java/cz/zcu/yamanager/repository/RequestRepository.java
+++ b/server/src/main/java/cz/zcu/yamanager/repository/RequestRepository.java
@@ -7,13 +7,16 @@ import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.jdbc.core.JdbcTemplate;
 import org.springframework.stereotype.Repository;
 
-import java.security.InvalidParameterException;
 import java.sql.ResultSet;
 import java.sql.Time;
 import java.util.List;
 
 /**
  * An instance of the class RequestRepository handles queries which selects and updates requests in a database.
+ * Requests are of two types. The first is an authorization request which is just a different view of a user.
+ * It shows information relevant to a user's authorization in the application. The second one is called a vacation
+ * request which works like the authorization request but for vacations and contains informations showed to an employer
+ * to help him approve or reject the vacation.
  */
 @Repository
 public class RequestRepository {
@@ -28,9 +31,9 @@ public class RequestRepository {
     private final JdbcTemplate jdbc;
 
     /**
-     * Creates a new instance of the class RequestRepository which selects and updates requests in a database.
+     * Creates a manager which can select and update requests in a database with the specified connection.
      *
-     * @param jdbc A connection to the database.
+     * @param jdbc the connection to the database
      */
     @Autowired
     public RequestRepository(final JdbcTemplate jdbc) {
@@ -39,9 +42,12 @@ public class RequestRepository {
     }
 
     /**
-     * Gets all authorization request from a database.
+     * Gets all authorization requests from a database. Method returns all authorization requests despite
+     * its authorization status. It returns accepted, pending even rejected users.
+     * Every line of output is converted to an AuthorizationRequest object filled with data from the database.
+     * If there aren't any authorization requests (that means any users) in the database, the method returns an empty list.
      *
-     * @return A list of all authorization requests.
+     * @return the list of all authorization requests
      */
     public List<AuthorizationRequest> getAllAuthorizations() {
         RequestRepository.log.trace("Selecting all authorization requests from a database.");
@@ -59,15 +65,18 @@ public class RequestRepository {
     }
 
     /**
-     * Gets all authorization request with the given status from a database.
+     * Gets all authorization request with the given authorization status from a database.
+     * Every line of output is converted to an AuthorizationRequest object filled with data from the database.
+     * If there aren't any authorization requests (that means any users) with the given status in the database,
+     * the method returns an empty list.
      *
-     * @param status The approval status of the requests.
-     * @return A list of all authorization requests.
+     * @param status the approval status of the requests
+     * @return the list of all authorization requests with the given status
      */
     public List<AuthorizationRequest> getAllAuthorizations(final Status status) {
-        RequestRepository.log.debug("Selecting all authorization requests from a database with requested status: {}", status);
+        RequestRepository.log.trace("Selecting all authorization requests from a database with requested status.");
+        RequestRepository.log.debug("Status: {}", status);
 
-        if (status == null) throw new InvalidParameterException();
         return this.jdbc.query("SELECT id, first_name, last_name, creation_date FROM end_user WHERE status = ?",
                 new Object[]{status.name()},
                 (ResultSet rs, int rowNum) -> {
@@ -82,39 +91,43 @@ public class RequestRepository {
     }
 
     /**
-     * Updates a status of an authorization request with the given id.
+     * Updates the status of an authorization request with the given id.
      *
-     * @param id     The id of the request.
-     * @param status The new status of the request.
+     * @param id     the id of the request
+     * @param status the new status of the request
      */
     public void updateAuthorization(final long id, final Status status) {
-        RequestRepository.log.debug("Updating authorization request with id {} in a database to {}.", id, status);
+        RequestRepository.log.trace("Updating status of an authorization request.");
+        RequestRepository.log.debug("Id: {}, status: {}.", id, status);
 
         this.jdbc.update("UPDATE end_user SET status=? WHERE id=?", status.name(), id);
     }
 
     /**
-     * Updates a status of an authorization request from a BasicRequest object.
+     * Updates the status of an authorization request from the specified BasicRequest object.
      *
-     * @param request The BasicRequest object with new values of the vacation request.
+     * @param request the BasicRequest object with new values of the vacation request
      */
     public void updateAuthorization(final BasicRequest request) {
-        updateAuthorization(request.getId(), request.getStatus());
+        this.updateAuthorization(request.getId(), request.getStatus());
     }
 
     /**
-     * Updates a status of an authorization request from an AuthorizationRequest object.
+     * Updates the status of an authorization request from the given AuthorizationRequest object.
      *
-     * @param request The AuthorizationRequest object with new values of the authorization request.
+     * @param request the AuthorizationRequest object with new values of the authorization request
      */
     public void updateAuthorization(final AuthorizationRequest request) {
-        updateAuthorization(request.getId(), request.getStatus());
+        this.updateAuthorization(request.getId(), request.getStatus());
     }
 
     /**
-     * Gets all vacation request from a database.
+     * Gets all vacation requests from a database. Method returns all vacation requests despite
+     * its authorization status. It returns accepted, pending even rejected vacations.
+     * Every line of output is converted to a VacationRequest object filled with data from the database.
+     * If there aren't any vacation requests in the database, the method returns an empty list.
      *
-     * @return A list of all vacation requests.
+     * @return the list of all vacation requests
      */
     public List<VacationRequest> getAllVacationRequests() {
         RequestRepository.log.trace("Selecting all vacation requests from a database.");
@@ -128,6 +141,12 @@ public class RequestRepository {
                     request.setFirstName(rs.getString("u.first_name"));
                     request.setLastName(rs.getString("u.last_name"));
                     request.setDate(rs.getDate("v.vacation_date").toLocalDate());
+
+                    /*
+                        When a result contains a sickday it doesn't have specified a start and end time because
+                        it can be taken only as a whole day. In this case the v.time_from and v.time_to are null.
+                        Which must be handled.
+                     */
                     final Time timeFrom = rs.getTime("v.time_from");
                     if (timeFrom != null) {
                         request.setFrom(timeFrom.toLocalTime());
@@ -146,15 +165,17 @@ public class RequestRepository {
     }
 
     /**
-     * Gets all vacation request with the given status from a database.
+     * Gets all vacation requests with the given approval status from a database.
+     * Every line of output is converted to a VacationRequest object filled with data from the database.
+     * If there aren't any vacation requests with the given status in the database, the method returns an empty list.
      *
-     * @param status The approval status of the requests.
-     * @return A list of all vacation requests.
+     * @param status the approval status of the requests
+     * @return the list of all vacation requests with the given status
      */
     public List<VacationRequest> getAllVacationRequests(final Status status) {
-        RequestRepository.log.debug("Selecting all vacation requests from a database with requested status: {}", status);
+        RequestRepository.log.trace("Selecting all vacation requests from a database with requested status.");
+        RequestRepository.log.debug("Status: {}", status);
 
-        if (status == null) throw new InvalidParameterException();
         return this.jdbc.query("SELECT v.id, v.vacation_date, v.time_from, v.time_to, v.creation_date, v.vacation_type, v.status, u.first_name, u.last_name " +
                         "FROM vacation_day v " +
                         "INNER JOIN end_user u ON v.user_id = u.id " +
@@ -166,6 +187,12 @@ public class RequestRepository {
                     request.setFirstName(rs.getString("u.first_name"));
                     request.setLastName(rs.getString("u.last_name"));
                     request.setDate(rs.getDate("v.vacation_date").toLocalDate());
+
+                     /*
+                        When a result contains a sickday it doesn't have specified start and end time because
+                        it can be taken only as a whole day. In this case the v.time_from and v.time_to are null.
+                        Which must be handled.
+                     */
                     final Time timeFrom = rs.getTime("v.time_from");
                     if (timeFrom != null) {
                         request.setFrom(timeFrom.toLocalTime());
@@ -186,11 +213,12 @@ public class RequestRepository {
     /**
      * Updates a status of a vacation request with the given id.
      *
-     * @param id     The id of the request.
-     * @param status The new status of the request.
+     * @param id     the id of the request
+     * @param status the new status of the request
      */
     public void updateVacationRequest(final long id, final Status status) {
-        RequestRepository.log.debug("Updating vacation request with id {} in a database to {}.", id, status);
+        RequestRepository.log.trace("Updating status of a vacation request");
+        RequestRepository.log.debug("Id: {}, status: {}.", id, status);
 
         this.jdbc.update("UPDATE vacation_day SET status=? WHERE id=?", status.name(), id);
     }
@@ -198,18 +226,18 @@ public class RequestRepository {
     /**
      * Updates a status of a vacation request from a BasicRequest object.
      *
-     * @param request The BasicRequest object with new values of the vacation request.
+     * @param request the BasicRequest object with new values of the vacation request
      */
     public void updateVacationRequest(final BasicRequest request) {
-        updateVacationRequest(request.getId(), request.getStatus());
+        this.updateVacationRequest(request.getId(), request.getStatus());
     }
 
     /**
      * Updates a status of a vacation request from a VacationRequest object.
      *
-     * @param request The VacationRequest object with new values of the vacation request.
+     * @param request the VacationRequest object with new values of the vacation request
      */
     public void updateVacationRequest(final VacationRequest request) {
-        updateAuthorization(request.getId(), request.getStatus());
+        this.updateAuthorization(request.getId(), request.getStatus());
     }
 }
diff --git a/server/src/main/java/cz/zcu/yamanager/repository/UserRepository.java b/server/src/main/java/cz/zcu/yamanager/repository/UserRepository.java
index 1032704..07d56f0 100644
--- a/server/src/main/java/cz/zcu/yamanager/repository/UserRepository.java
+++ b/server/src/main/java/cz/zcu/yamanager/repository/UserRepository.java
@@ -14,6 +14,9 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Map;
 
+/**
+ * An instance of the class UserRepository handles queries which selects and updates users and their settings in a database.
+ */
 @Repository
 public class UserRepository {
     /**
@@ -27,19 +30,28 @@ public class UserRepository {
     private final JdbcTemplate jdbc;
 
     /**
-     * Creates a new instance of the class UserRepository which selects and updates users in a database.
+     * Creates a new instance of the class UserRepository which selects and updates users and their settings in a database.
      *
      * @param jdbc A connection to the database.
      */
     @Autowired
-    public UserRepository(JdbcTemplate jdbc) {
-        log.trace("Creating a new instance of the class UserRepository");
+    public UserRepository(final JdbcTemplate jdbc) {
+        UserRepository.log.trace("Creating a new instance of the class UserRepository");
         this.jdbc = jdbc;
     }
 
+    /**
+     * Gets basic profile of each user from a database. The basic profile contains default, the most important
+     * informations which helps identify a user like a name or photo. Every line of output is converted to a BasicProfileUser
+     * object filled with data from the database. If there aren't any users in the database, the method returns an empty list.
+     *
+     * @return A list of all basic profiles.
+     */
     public List<BasicProfileUser> getAllBasicUsers() {
-        return jdbc.query("SELECT id, first_name, last_name, photo FROM end_user", (ResultSet rs, int rowNum) -> {
-            BasicProfileUser user = new BasicProfileUser();
+        UserRepository.log.trace("Selecting basic profiles of all users from a database.");
+
+        return this.jdbc.query("SELECT id, first_name, last_name, photo FROM end_user", (ResultSet rs, int rowNum) -> {
+            final BasicProfileUser user = new BasicProfileUser();
             user.setId(rs.getLong("id"));
             user.setFirstName(rs.getString("first_name"));
             user.setLastName(rs.getString("last_name"));
@@ -48,10 +60,22 @@ public class UserRepository {
         });
     }
 
-    public List<BasicProfileUser> getAllBasicUsers(Status status) {
-        return jdbc.query("SELECT id, first_name, last_name, photo FROM end_user WHERE status = ?",
+    /**
+     * Gets basic profile of each user with the given authorization status from a database. The basic profile contains
+     * default, the most important informations which helps identify a user like a name or a photo.
+     * Every line of output is converted to a BasicProfileUser object filled with data from the database.
+     * If there aren't any users with the given authorization status in the database, the method returns an empty list.
+     *
+     * @param status The authentication status.
+     * @return A list of all basic profiles with the given status.
+     */
+    public List<BasicProfileUser> getAllBasicUsers(final Status status) {
+        UserRepository.log.trace("Selecting basic profiles of all users with a required status from a database.");
+        UserRepository.log.debug("Status: {}", status);
+
+        return this.jdbc.query("SELECT id, first_name, last_name, photo FROM end_user WHERE status = ?",
                 new Object[]{status.name()}, (ResultSet rs, int rowNum) -> {
-                    BasicProfileUser user = new BasicProfileUser();
+                    final BasicProfileUser user = new BasicProfileUser();
                     user.setId(rs.getLong("id"));
                     user.setFirstName(rs.getString("first_name"));
                     user.setLastName(rs.getString("last_name"));
@@ -60,8 +84,16 @@ public class UserRepository {
                 });
     }
 
-    public FullUserProfile getFullUser(long id) {
-        List<SqlParameter> paramList = new ArrayList<>();
+    /**
+     *
+     * @param id
+     * @return
+     */
+    public FullUserProfile getFullUser(final long id) {
+        UserRepository.log.trace("Selecting full profiles of a user with a specified id from a database ");
+        UserRepository.log.debug("Id: {}", id);
+
+        final List<SqlParameter> paramList = new ArrayList<>();
         paramList.add(new SqlParameter("in_id", Types.BIGINT));
         paramList.add(new SqlOutParameter("out_id", Types.BIGINT));
         paramList.add(new SqlOutParameter("out_first_name", Types.VARCHAR));
@@ -76,8 +108,8 @@ public class UserRepository {
         paramList.add(new SqlOutParameter("out_role", Types.VARCHAR));
         paramList.add(new SqlOutParameter("out_status", Types.VARCHAR));
 
-        Map<String, Object> resultMap = this.jdbc.call(con -> {
-            CallableStatement callableStatement = con.prepareCall("{call GetUserId(?,?,?,?,?,?,?,?,?,?,?,?,?)}");
+        final Map<String, Object> resultMap = jdbc.call(con -> {
+            final CallableStatement callableStatement = con.prepareCall("{call GetUserId(?,?,?,?,?,?,?,?,?,?,?,?,?)}");
             callableStatement.setLong(1, id);
             callableStatement.registerOutParameter(2, Types.BIGINT);
             callableStatement.registerOutParameter(3, Types.VARCHAR);
@@ -94,19 +126,14 @@ public class UserRepository {
             return callableStatement;
         }, paramList);
 
-        FullUserProfile user = new FullUserProfile();
+        final FullUserProfile user = new FullUserProfile();
         user.setId(id);
         user.setFirstName((String) resultMap.get("out_first_name"));
         user.setLastName((String) resultMap.get("out_last_name"));
         user.setVacationCount(((Double) resultMap.get("out_no_vacations")).floatValue());
-        user.setSickdayCount((Integer) resultMap.get("out_no_sick_days"));
-        user.setTakenSickdayCount((Integer) resultMap.get("out_taken_sick_days"));
-
-        final Timestamp alertTimestamp = (Timestamp) resultMap.get(("out_alert"));
-        if (alertTimestamp != null) {
-            user.setNotification(alertTimestamp.toLocalDateTime());
-        }
-
+        user.setSickDayCount((Integer) resultMap.get("out_no_sick_days"));
+        user.setTakenSickDayCount((Integer) resultMap.get("out_taken_sick_days"));
+        user.setNotification(((Timestamp) resultMap.get("out_alert")).toLocalDateTime());
         user.setEmail((String) resultMap.get(("out_email")));
         user.setPhoto((String) resultMap.get("out_photo"));
         user.setRole(UserRole.getUserRole((String) resultMap.get("out_role")));
@@ -115,8 +142,16 @@ public class UserRepository {
 
     }
 
-    public FullUserProfile getFullUser(String token) {
-        List<SqlParameter> paramList = new ArrayList<>();
+    public UserRole getUserRole(final long id) {
+        return this.jdbc.queryForObject("SELECT user_role FROM end_user WHERE id = ?", new Object[]{id}, (ResultSet rs, int rowNum) -> UserRole.getUserRole(rs.getString("status")));
+    }
+
+    public Status getUserStatus(final long id) {
+        return this.jdbc.queryForObject("SELECT status FROM end_user WHERE id = ?", new Object[]{id}, (ResultSet rs, int rowNum) -> Status.getStatus(rs.getString("status")));
+    }
+
+    public FullUserProfile getFullUser(final String token) {
+        final List<SqlParameter> paramList = new ArrayList<>();
         paramList.add(new SqlParameter(Types.LONGNVARCHAR));
         paramList.add(new SqlOutParameter("out_id", Types.BIGINT));
         paramList.add(new SqlOutParameter("out_first_name", Types.VARCHAR));
@@ -131,8 +166,8 @@ public class UserRepository {
         paramList.add(new SqlOutParameter("out_role", Types.VARCHAR));
         paramList.add(new SqlOutParameter("out_status", Types.VARCHAR));
 
-        Map<String, Object> resultMap = this.jdbc.call(con -> {
-            CallableStatement callableStatement = con.prepareCall("{call GetUserToken(?,?,?,?,?,?,?,?,?,?,?,?,?)}");
+        final Map<String, Object> resultMap = jdbc.call(con -> {
+            final CallableStatement callableStatement = con.prepareCall("{call GetUserToken(?,?,?,?,?,?,?,?,?,?,?,?,?)}");
             callableStatement.setString(1, token);
             callableStatement.registerOutParameter(2, Types.BIGINT);
             callableStatement.registerOutParameter(3, Types.VARCHAR);
@@ -149,19 +184,14 @@ public class UserRepository {
             return callableStatement;
         }, paramList);
 
-        FullUserProfile user = new FullUserProfile();
+        final FullUserProfile user = new FullUserProfile();
         user.setId((Long) resultMap.get("out_id"));
         user.setFirstName((String) resultMap.get("out_first_name"));
         user.setLastName((String) resultMap.get("out_last_name"));
         user.setVacationCount(((Double) resultMap.get("out_no_vacations")).floatValue());
-        user.setSickdayCount((Integer) resultMap.get("out_no_sick_days"));
-        user.setTakenSickdayCount((Integer) resultMap.get("out_taken_sick_days"));
-
-        final Timestamp alertTimestamp = (Timestamp) resultMap.get(("out_alert"));
-        if (alertTimestamp != null) {
-            user.setNotification(alertTimestamp.toLocalDateTime());
-        }
-
+        user.setSickDayCount((Integer) resultMap.get("out_no_sick_days"));
+        user.setTakenSickDayCount((Integer) resultMap.get("out_taken_sick_days"));
+        user.setNotification(((Timestamp) resultMap.get("out_alert")).toLocalDateTime());
         user.setEmail((String) resultMap.get(("out_email")));
         user.setPhoto((String) resultMap.get("out_photo"));
         user.setRole(UserRole.getUserRole((String) resultMap.get("out_role")));
@@ -169,37 +199,45 @@ public class UserRepository {
         return user;
     }
 
-    public UserSettings getUserSettings(long id) {
-        return jdbc.queryForObject("SELECT no_vacations, no_sick_days, user_role FROM end_user WHERE = id=?",
+    public UserSettings getUserSettings(final long id) {
+        return this.jdbc.queryForObject("SELECT no_vacations, no_sick_days, user_role FROM end_user WHERE id=?",
                 new Object[]{id}, (ResultSet rs, int rowNum) -> {
-                    UserSettings settings = new UserSettings();
+                    final UserSettings settings = new UserSettings();
                     settings.setId(id);
-                    settings.setSickdayCount(rs.getInt("no_sick_day"));
+                    settings.setSickDayCount(rs.getInt("no_sick_day"));
                     settings.setVacationCount(rs.getFloat("no_vacations"));
                     settings.setRole(UserRole.getUserRole(rs.getString("user_role")));
                     return settings;
                 });
     }
 
-    public void updateNotification(UserSettings settings) {
-        jdbc.update("UPDATE end_user SET alert = ? WHERE id = ?", settings.getNotification(), settings.getId());
+    public void decreaseVacationCount(final long id, final float value) {
+        this.jdbc.update("UPDATE end_user SET no_vacations = no_vacations - ? WHERE id = ?", value, id);
+    }
+
+    public void increaseTakenSickdays(final long id) {
+        this.jdbc.update("UPDATE end_user SET taken_sick_days = taken_sick_days + 1 WHERE id = ?", id);
+    }
+
+    public void updateNotification(final UserSettings settings) {
+        this.jdbc.update("UPDATE end_user SET alert = ? WHERE id = ?", settings.getNotification(), settings.getId());
     }
 
-    public void updateUserSettings(UserSettings settings) {
-        jdbc.update("UPDATE end_user SET no_vacations=?, no_sick_days=?, user_role=? WHERE id = ?",
-                settings.getVacationCount(), settings.getSickdayCount(), settings.getRole().name(), settings.getId());
+    public void updateUserSettings(final UserSettings settings) {
+        this.jdbc.update("UPDATE end_user SET no_vacations=?, no_sick_days=?, user_role=? WHERE id = ?",
+                settings.getVacationCount(), settings.getSickDayCount(), settings.getRole().name(), settings.getId());
     }
 
     public DefaultSettings getLastDefaultSettings() {
-        return jdbc.queryForObject("SELECT * FROM default_settings ORDER BY id DESC LIMIT 1", (ResultSet rs, int rowNum) -> {
-            DefaultSettings settings = new DefaultSettings();
-            settings.setSickdayCount(rs.getInt("no_sick_days"));
+        return this.jdbc.queryForObject("SELECT * FROM default_settings ORDER BY id DESC LIMIT 1", (ResultSet rs, int rowNum) -> {
+            final DefaultSettings settings = new DefaultSettings();
+            settings.setSickDayCount(rs.getInt("no_sick_days"));
             settings.setNotification(rs.getTimestamp("alert").toLocalDateTime());
             return settings;
         });
     }
 
-    public void insertSettings(DefaultSettings settings) {
-        jdbc.update("INSERT INTO default_settings (no_sick_days, alert) VALUES (?, ?)", settings.getSickdayCount(), settings.getNotification());
+    public void insertSettings(final DefaultSettings settings) {
+        this.jdbc.update("INSERT INTO default_settings (no_sick_days, alert) VALUES (?, ?)", settings.getSickDayCount(), settings.getNotification());
     }
 }
diff --git a/server/src/main/java/cz/zcu/yamanager/repository/VacationRepository.java b/server/src/main/java/cz/zcu/yamanager/repository/VacationRepository.java
index 56d2661..6990698 100644
--- a/server/src/main/java/cz/zcu/yamanager/repository/VacationRepository.java
+++ b/server/src/main/java/cz/zcu/yamanager/repository/VacationRepository.java
@@ -142,7 +142,7 @@ public class VacationRepository {
 
     public void insertVacationDay(final Long userId, final VacationDay day) {
         this.jdbc.update("INSERT INTO vacation_day (vacation_date, time_from, time_to, status, vacation_type, user_id) VALUES (?,?,?,?,?,?)",
-                day.getDate(), day.getFrom(), day.getTo(), "pending", day.getType().name(), userId);
+                day.getDate(), day.getFrom(), day.getTo(), day.getStatus().name(), day.getType().name(), userId);
     }
 
     public void updateVacationDay(final VacationDay item) {
diff --git a/server/src/main/java/cz/zcu/yamanager/ws/rest/ApiController.java b/server/src/main/java/cz/zcu/yamanager/ws/rest/ApiController.java
index aade45a..738f421 100644
--- a/server/src/main/java/cz/zcu/yamanager/ws/rest/ApiController.java
+++ b/server/src/main/java/cz/zcu/yamanager/ws/rest/ApiController.java
@@ -121,7 +121,6 @@ public class ApiController {
             @RequestParam(value = "lang", required = false) String lang,
             @RequestParam(value = "status", required = false) String status)
     {
-        System.out.println("/users");
         return handle(getLanguage(lang), () ->
                 manager.getUsers(getStatus(status))
         );
@@ -132,8 +131,6 @@ public class ApiController {
             @RequestParam(value = "lang", required = false) String lang,
             @RequestParam(value = "status", required = false) String status)
     {
-        System.out.println("/users/requests/vacation");
-        System.out.println("Status" + status);
         return handle(getLanguage(lang), () ->
                 manager.getVacationRequests(getStatus(status))
         );
@@ -144,7 +141,6 @@ public class ApiController {
             @RequestParam(value = "lang", required = false) String lang,
             @RequestParam(value = "status", required = false) String status)
     {
-        System.out.println("/users/requests/authorization");
         return handle(getLanguage(lang), () ->
                 manager.getAuthorizationRequests(getStatus(status))
          );
@@ -155,7 +151,6 @@ public class ApiController {
             @PathVariable("id") String id,
             @RequestParam(value = "lang", required = false) String lang)
     {
-        System.out.println("/user/{id}/profile");
         return handle(getLanguage(lang), () ->
                 manager.getUserProfile(getUserId(id))
         );
@@ -169,7 +164,6 @@ public class ApiController {
             @RequestParam(value = "to", required = false) String to,
             @RequestParam(value = "status", required = false) String status)
     {
-        System.out.println("user/id/calendar");
         return handle(getLanguage(lang), () -> {
             DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy/MM/dd");
             LocalDate fromDate = LocalDate.parse(from, formatter);
@@ -182,7 +176,6 @@ public class ApiController {
     public ResponseEntity settings(
             @RequestParam(value = "lang", required = false) String lang)
     {
-        System.out.println("/settings");
         return handle(getLanguage(lang), () ->
                 manager.getDefaultSettings()
         );
@@ -195,7 +188,6 @@ public class ApiController {
             @RequestParam(value = "lang", required = false) String lang,
             @RequestBody DefaultSettings settings)
     {
-        System.out.println("POST /settings");
         return handle(getLanguage(lang), () ->
                 manager.createSettings(settings)
         );
@@ -206,7 +198,6 @@ public class ApiController {
             @RequestParam(value = "lang", required = false) String lang,
             @RequestBody VacationDay vacationDay)
     {
-        System.out.println("/user/calendar/create");
         return handle(getLanguage(lang), () ->
                 manager.createVacation(getUserId("me"), vacationDay)
         );
@@ -220,8 +211,6 @@ public class ApiController {
             @RequestParam(value = "lang", required = false) String lang,
             @RequestBody UserSettings settings)
     {
-        System.out.println("/user/settings");
-        System.out.println(settings.getNotification());
         return handle(getLanguage(lang), () ->
                 manager.changeSettings(getUserId(settings.getId()), settings)
         );
@@ -232,7 +221,6 @@ public class ApiController {
             @RequestParam(value = "lang", required = false) String lang,
             @RequestBody VacationDay vacationDay)
     {
-        System.out.println("/user/calendar/edit");
         return handle(getLanguage(lang), () ->
                 manager.changeVacation(getUserId("me"), vacationDay)
         );
@@ -244,7 +232,6 @@ public class ApiController {
             @RequestParam(value = "type", required = true) String type,
             @RequestBody BasicRequest request)
     {
-        System.out.println("/user/requests");
         return handle(getLanguage(lang), () ->
                 manager.changeRequest(getType(type), request)
         );
@@ -257,7 +244,6 @@ public class ApiController {
             @PathVariable("id") String id,
             @RequestParam(value = "lang", required = false) String lang)
     {
-        System.out.println("/calendar/{id}/delete");
         return handle(getLanguage(lang), () ->
             manager.deleteVacation(getUserId("me"), StringUtils.isNumeric(id) ? Long.parseLong(id) : -1)
         );
